Bug 248346 - devel/gettext: update to 0.21
Summary: devel/gettext: update to 0.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-29 10:56 UTC by Tijl Coosemans
Modified: 2020-08-04 09:16 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
patch (16.97 KB, patch)
2020-07-29 10:56 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2020-07-29 10:56:48 UTC
Created attachment 216857 [details]
patch

Update gettext to 0.21.

There's also a patch for Templates/config.site.  The gettext configure script specifically tests for gl_cv_func_sigprocmask=yes, not "1".  The patch also changes gl_cv_func_malloc_0_nonnull to "yes".  I don't expect this to affect any port (because I've never seen a configure script that uses "1"), but a full exp-run may be needed to determine this.
Comment 1 Antoine Brodin freebsd_committer 2020-08-03 19:02:57 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2020-08-04 09:03:34 UTC
A commit references this bug:

Author: tijl
Date: Tue Aug  4 09:03:24 UTC 2020
New revision: 544150
URL: https://svnweb.freebsd.org/changeset/ports/544150

Log:
  Set configure variables to "yes" instead of "1".

  The configure script in the next version of gettext specifically tests for
  gl_cv_func_sigprocmask=yes.

  PR:		248346
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Templates/config.site
Comment 3 commit-hook freebsd_committer 2020-08-04 09:08:37 UTC
A commit references this bug:

Author: tijl
Date: Tue Aug  4 09:08:05 UTC 2020
New revision: 544151
URL: https://svnweb.freebsd.org/changeset/ports/544151

Log:
  Update to 0.21.

  PR:		248346
  Exp-run by:	antoine

Changes:
  head/devel/gettext/Makefile.common
  head/devel/gettext/distinfo
  head/devel/gettext-runtime/pkg-plist
  head/devel/gettext-tools/pkg-plist
  head/devel/libtextstyle/pkg-plist